# Example API calls

### Simple call

{% hint style="info" %}
*<mark style="color:red;">**Specifying both the position and the floors of the apartment is recommended for optimal results.**</mark>*
{% endhint %}

```html
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1
}
```

### Adding building parameters

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "build_year" : 1961,
  "inner_surface_area": 90
}
```

### Adding current measures

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "build_year" : 1961,
  "inner_surface_area": 90,
  "wall_insulation": 1,
  "floor_insulation": 1,
  "roof_insulation": 1,
  "living_room_windows": 1,
  "shower": 1,
  "cooling": 1,
  "electric_cooking": 1,
  "ventilation": 1,
  "installation": 4
}
```

### Adding solar panels

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "solar_panels": [{"pv_total_watt_peak":2000,
                    "angle":45,
                    "orientation":180,
                    "roof_type":1,
                    "free_roof_area": 20.0
                   },
                   {"pv_area": 20,     
                    "specific_watt_peak": 150,
                    "angle":45,
                    "orientation":180,
                    "roof_type":1
                   }]        
}
```

or

<pre><code><strong>{
</strong>    "postcode": "3024XL",
    "housenumber":227,
    "houseaddition": "B",
    "number_of_solar_panels": 10     
}
</code></pre>

### Adding strict target energy label

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "target_label": "B",
  "energylabel_strict": 1
}
```

### Adding usage data

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "heat_usage": 25,
  "electricity_usage": 4500,
  "gas_usage": 750
}
```

### Adding filters

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
   "wall_filters": {"biobased": true, "cavity": true, "material":[4]},
  "roof_filters": {"biobased": false, "insulation_side": 2, "replace_roof": true, "material":[1]},
  "floor_filters": {"floor_type": 1, "crawl_space": true, "material":[2]}
}
```

### Locking measures

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "target_label":"B",
  "lock_measures": ["wall_insulation"]
}
```

### Excluding measures

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "exclude_measures": [1003,5004]
}
```

### Adding more features

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
	"search_criteria": 3,
  "max_investment":20000,
  "inhabitants":4,
  "electricity_generation": 100,
  "minimum_solar_panels": 3,
  "heatpump_insulation_req": 3,
  "natural_gas":1,
  "exclude_vat":false,
  "heat_pump_allowed":true,
  "district_heating_allowed":false,
  "cost_indicators":{"fixed_gas_price":100}
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altum.ai/english/sustainability/sustainability-api-v2-apartments/example-api-calls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
